=== debian/changelog ===
tea-cli (0.9.2-2) unstable; urgency=medium

  * Team upload
  * Rebase upstream fix for newer tablewriter API
  * Update required version of tablewriter in Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Aug 2025 15:35:06 +0000

tea-cli (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #1058686)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 25 Dec 2023 14:42:36 +0530
