=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -O--builddirectory=_build -O--buildsystem=golang
	mv debian/tea-cli/usr/bin/tea debian/tea-cli/usr/bin/tea-cli
