## tea-cli 0.11.1

=== debian/changelog ===
tea-cli (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * Remove patch applied in new upstream version
  * Patch to remove import path assertion
  * d/control: Update Build-Depends
  * Bump Standards-Version to 4.7.3
  * Update my maintenance address
  * d/rules: Change build directory to debian/build
  * Build and install docs and manual pages
  * d/control: Add Static-Built-Using field

 -- Maytham Alsudany <maytham@debian.org>  Fri, 09 Jan 2026 14:02:35 +0800
