=== debian/control ===
Source: tea-cli
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytham@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-code-gitea-sdk-dev,
               golang-gitea-noerw-unidiff-comments-dev,
               golang-github-adrg-xdg-dev,
               golang-github-araddon-dateparse-dev,
               golang-github-charmbracelet-glamour-dev,
               golang-github-enescakir-emoji-dev,
               golang-github-go-git-go-git-dev,
               golang-github-muesli-termenv-dev,
               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
               golang-github-skratchdot-open-golang-dev,
               golang-github-urfave-cli-docs-v3-dev,
               golang-github-urfave-cli-v3-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-github-charmbracelet-huh-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               pandoc
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/gtea
Vcs-Git: https://salsa.debian.org/go-team/packages/gtea.git
Homepage: https://gitea.com/gitea/tea
Rules-Requires-Root: no
XS-Go-Import-Path: code.gitea.io/tea

Package: tea-cli
Architecture: any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: command line tool to interact with Gitea
 tea is a productivity helper for Gitea. It can be used to manage most
 entities on one or multiple Gitea instances & provides local helpers
 like 'tea pr checkout'.
 .
 The package and the program have been renamed to tea-cli to avoid
 conflicts with the tea package.
