=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
BUILD_DATE := $(shell date +%F -d @$(SOURCE_DATE_EPOCH))

%:
	dh $@ --builddirectory=debian/build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	debian/build/bin/docs --out docs/CLI.md
	rm debian/build/bin/docs
	pandoc --standalone --to man docs/CLI.md -o debian/build/tea-cli.1 \
		-V title=tea-cli \
		-V section=1 \
		-V date=$(BUILD_DATE)

override_dh_auto_install:
	dh_auto_install -O--builddirectory=debian/build -O--buildsystem=golang
	mv debian/tea-cli/usr/bin/tea debian/tea-cli/usr/bin/tea-cli
